Get Usage Metrics
curl --request GET \
--url https://api.streamkap.com/billing/usage/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_ids": [
"<string>"
]
}
'import requests
url = "https://api.streamkap.com/billing/usage/metrics"
payload = { "tenant_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenant_ids: ['<string>']})
};
fetch('https://api.streamkap.com/billing/usage/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Usage
Get Usage Metrics
Fetch detailed usage metrics for the organisation.
GET
/
billing
/
usage
/
metrics
Get Usage Metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
asc, desc Source connector name. Example: postgresql, mysql, ...
Enter the source name you want to search for
A comma-separated list of Tenant IDs
Pattern:
^(sources|destinations)$Body
application/json
Body model for POST /billing/usage/metrics requests.
Supports large lists of IDs that would exceed URL length limits when using GET. Body parameters take precedence over query parameters when both are provided.
List of tenant IDs (as array) or comma-separated string. Body takes precedence over query params.
Response
Successful Response
The response is of type Response Getusagemetrics · object.
Was this page helpful?